// We need the trains mod for this, so force it to load.
%error = forceRequiredAddOn("Support_TrainsBeta");

// If it was disabled, the function ForceRequiredAddOn already executed it,
// so an exec() would be redundant.

// If the add-on was not found, there is no way we can run it.
if(%error == $Error::AddOn_NotFound)
{
	// We don't have the mod, so we're screwed.
	// Report an error to the console.
	error("ERROR: Trains_Pack1 - required add-on Support_TrainsBeta not found");
}

// Execute the actual script.
else
{
	// In your scripts, this will be the file with the actual weapon.
	exec("./Datablocks.cs"); 
}
